Last Comment Bug 5341 - JPN Mail header should be properly MIME-encoded on send
: JPN Mail header should be properly MIME-encoded on send
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All Windows NT
: P3 normal (vote)
: M5
Assigned To: nhottanscp
: Katsuhiko Momoi
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-20 19:25 PDT by Katsuhiko Momoi
Modified: 2008-07-31 01:22 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Katsuhiko Momoi 1999-04-20 19:25:16 PDT
** Obserevd with 4/20/99 Win32 build **

Currently we are lacking iso-2022-jp converter to/from Unicode.
Because of this, we cannot verify if MIME-encoder is working properly
for Japanese. We verified that it is working for ISO-8859-1 in
Bug 3994.
This bug has been filed to make sure that JPN MIME-encoding is
working OK on mail header once the converter gets checked in.
Comment 1 nhottanscp 1999-04-20 21:31:59 PDT
iso-2022-jp converter from Unicode is available so we can see Japanese subject
and the body.
Comment 2 Katsuhiko Momoi 1999-04-20 22:03:59 PDT
It is true that we can display Japanese headers and body.

What I meant to say is that I'm not able to conrifm that
Japanese headers we send out by 5.0 is properly MIME-encoded.

There is an Editor bug probably which is preventing the input in
Japanese. Also copy/pase of Japanese strings does not work in the
Subject header area.

In any case, at this point I'm still not able to confirm
that 5.0 sends out properly encoded Japanese headers.
Sine I already verified ISO-8859-1 header encoding in Bug 3994,
this bug has been filed to keep track of the Japanese header
encoding on send.
Comment 3 nhottanscp 1999-04-20 22:15:59 PDT
>iso-2022-jp converter from Unicode is available
incorrect, only to Unicode is available not from
Comment 4 bobj 1999-04-21 12:26:59 PDT
Cata is working on the 2022-jp encoder now
http://bugzilla.mozilla.org/show_bug.cgi?id=5289
Comment 5 nhottanscp 1999-04-23 17:53:59 PDT
5289 is marked as fixed, Endder bug (4388) should also be fixed in order to test
Japanse message body send.
Comment 6 nhottanscp 1999-04-26 13:50:59 PDT
My last comment was not correct, this bug is about header not body (4388).
I mark this as FIXED. I know there is an input bug 5061 so we cannot veriry.
I think this bug may be marked as dup of 5061.
Comment 7 Katsuhiko Momoi 1999-04-26 19:06:59 PDT
No. We should keep this bug separate from 5061. Even if
5061 is fixed, we still need to confirm that Japanese
headers are MIME-encoded correctly.
Comment 8 Katsuhiko Momoi 1999-05-26 15:23:59 PDT
Unverifiable until we get Ender widgets for the headers.
Comment 9 Katsuhiko Momoi 1999-08-10 14:54:59 PDT
Tried tne new GFX widget for the Subject header and but
the apprunner crashed. So, I guess this has to wait another cycle
for verification.
Comment 10 bobj 1999-08-10 15:25:59 PDT
Last week we were able to type Japanese into form text fields and text areas.
Teruko, Is this still working?  Or is there a mail specific problem?
Kat, Were you able to type anything before crashing?
Comment 11 Katsuhiko Momoi 1999-08-10 15:33:59 PDT
GFX thing is not very stable. Sometimes I see input in Japanese and
then it crashes on Send. Sometimes, it simply crashes on Japanese
input into the Subject window and I don't even see Japanese input.
These are probably mail-specific problems -- I would file a bug
if it will be taken seriously at this point. I think Steve Clark
said that he would look at only functional bugs.
Comment 12 Katsuhiko Momoi 1999-09-17 06:53:59 PDT
** Checked with 9/16/99 Win32 M11 build **

JPN input into the subject header has been working
since the GFX widget got tunred as default (more or less).
We can finally see that we MIME-encode JPN subject correctly,i.e.
B64of iso-2022-jp.

Marking it verified as fixed.

Note You need to log in before you can comment on or make changes to this bug.